###
###
###

.seqnames <- paste("chr", c("2L", "2R", "3L", "3R", "4", "X", "U", "M", "2h", "3h", "4h", "Xh", "Yh"), sep="")

.circ_seqs <- "chrM"

.mseqnames <- paste("upstream", c("1000", "2000", "5000"), sep="")

.nmask_per_seq <- 4

.onLoad <- function(libname, pkgname)
{
    extdata_dir <- system.file("extdata", package=pkgname, lib.loc=libname)
    bsgenome <- BSgenome(
        organism="Drosophila melanogaster",
        species="Fly",
        provider="UCSC",
        provider_version="dm2",
        release_date="Apr. 2004",
        release_name="BDGP Release 4",
        source_url="http://hgdownload.cse.ucsc.edu/goldenPath/dm2/bigZips/",
        seqnames=.seqnames,
        circ_seqs=.circ_seqs,
        mseqnames=.mseqnames,
        seqs_pkgname=pkgname,
        seqs_dir=extdata_dir,
        nmask_per_seq=.nmask_per_seq,
        masks_pkgname=pkgname,
        masks_dir=extdata_dir
    )
    objname <- "Dmelanogaster"
    ns <- asNamespace(pkgname)
    assign(objname, bsgenome, envir=ns)
    namespaceExport(ns, objname)
}

